%define ver	20050307
%define rel	3zlb
%define prefix	/usr
%define texmf	%{prefix}/share/texmf

Summary: dvipdfmx
Name:	 dvipdfmx
Version: %ver
Release: %rel
License: distributable
Group: 	 Applications/Publishing
Source:  dvipdfmx-%ver.tar.bz2
Source1: dvipdfmx-texmf.tar.bz2
Source2: cvs.sh
Patch:   no-warn-redefined-patch
Patch1:  tfm-c-20050201.diff
Provides: dvipdfmx
Requires: CJK, ghostscript >= 7.0, bzip2, libpng, zlib
BuildRequires: openssl-devel, libpng-devel, zlib-devel
BuildRoot: %{_tmppath}/%{name}-root
Packager: Zhang Linbo <zlb@lsec.cc.ac.cn>

%description
The dvipdfmx (formerly dvipdfm-cjk) project provides an eXtended version
of the dvipdfm, a DVI to PDF translator developed by Mark A. Wicks.

The primary goal of this project is to support multi-byte character encodings
and large character sets for East Asian languages by using CID-keyed font
technology. The secondary goal is to support as many features as pdfTeX
developed by Han The Thanh.
   
This project is a combined work of the dvipdfm-jpn project by Shunsaku
Hirata and its modified one, dvipdfm-kor, by Jin-Hwan Cho.

%prep
%setup -q
#%setup -q -n dvipdfmx
%patch -p1
%patch1 -p0

%build
env CFLAGS="-Wall -O2 -g -I/usr/kerberos/include" \
	./configure --prefix=%prefix --with-kpathsea=""
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT%{prefix}/bin/dvipdfmx
(
  cd $RPM_BUILD_ROOT%{prefix}/share/
  tar xjpvf $RPM_SOURCE_DIR/dvipdfmx-texmf.tar.bz2

  for d in /usr/share/ghostscript/{*/,}Resource/CMap; do
    test -d $d && break
  done
  cd $RPM_BUILD_ROOT%{texmf}/dvipdfm/CMap
  ln -s ${d}/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc README BUGS COPYING ChangeLog FONTMAP INSTALL TODO
%doc README BUGS COPYING ChangeLog INSTALL TODO
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/cid-x.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/cid.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/cmr.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/dvipdfmx.cfg
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/gbkfs.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/gbkhei.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/gbkkai.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/gbkli.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/gbksong.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/gbkyou.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/lw35urw.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/lw35urwa.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/ot1.enc
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/ot1alt.enc
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/ot1r.enc
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/psbase14.map
%attr(0644,root,root) %config %{texmf}/dvipdfm/config/t1fonts.map
%{prefix}/bin/dvipdfmx
%{texmf}/dvipdfm/CMap/*
%{texmf}/ttf2pk/*

%pre

%post
# workaround for teTeX-3: create some symbolic links
if test -d %{texmf}/fonts/sfd; then
    rm -f %{texmf}/fonts/sfd/ttf2pk
    ln -s ../../ttf2pk %{texmf}/fonts/sfd/.
fi
if test -d %{texmf}/fonts/cmap; then
    rm -f %{texmf}/fonts/cmap/dvipdfm
    ln -s ../../dvipdfm/CMap %{texmf}/fonts/cmap/dvipdfm
fi
if test -d %{texmf}/fonts/map/dvipdfm; then
    rm -f %{texmf}/fonts/map/dvipdfm/CJK
    ln -s ../../../dvipdfm/config %{texmf}/fonts/map/dvipdfm/CJK
fi
texhash

%preun

%postun
#rm -rf %{prefix}/share/texmf/dvipdfm
test -L %{texmf}/fonts/sfd/ttf2pk && rm -f %{texmf}/fonts/sfd/ttf2pk
test -L %{texmf}/fonts/cmap/dvipdfm && rm -f %{texmf}/fonts/cmap/dvipdfm
test -L %{texmf}/fonts/map/dvipdfm/CJK && rm -f %{texmf}/fonts/map/dvipdfm/CJK
texhash

%changelog
* Sun Mar 26 2006 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Search /usr/share/ghostscript/{*/,}Resource/CMap for CMaps
* Fri Jul  8 2005 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Apply tfm-c-20050201.diff
- Create symbolic links to handle directory changes in teTeX-3 (hacky!)
* Wed May 19 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Add warn-redefined-cmap-patch again :-(
* Tue May 04 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Remove warn-redefined-cmap-patch and papersize-patch which are obsolete
  since dvipdfmx-20040411
* Mon Apr 26 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Supress warnings on redefining code mapping
* Fri Jan 24 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Allow custom papersizes like '18cm,26cm' in the '-p' option.
* Sat Jan 23 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Created the package.
